#version 430 core
uniform vec3 lightPos;
uniform vec4 lumRad;
uniform sampler2D screenTexture;
in vec2 vTexPos;
out vec4 fColor;
void main()
{
    vec3 distVec = texture(screenTexture,vTexPos).xyz - lightPos;
    float dist = dot(distVec,distVec);
    if (dist > lumRad.a) {discard;}
    float x = 1 - dist / lumRad.a ;
    vec3 c = (x * x * x) * lumRad.rgb ;
    fColor = vec4(c,0);
}
